[artix-general] [s6] lvm2-s6 upgrade "from 20201130-1 to 20210205-1" breaks system

Dudemanguy dudemanguy at artixlinux.org
Thu Feb 11 05:10:41 CET 2021


I'm so sorry about this. Something is wrong with the s6-rc
logic here. It's not actually specifically the upgrade. I can
trigger bad behavior on the old version as well. It's actually
been like this for months...

On 2/10/21 4:01 PM, Javier via artix-general wrote:
> Hi !
> 
> On Today's upgrade, lvm2-s6 upgraded from 20201130-1 to 20210205-1, but 
> such upgrade just froze my system immediately.  So fine, I rebooted, but 
> on boot, the system freezes when starting lmvmetad, not allowing a login 
> whatsoever, with:
> 
>> Envfile:  fatal:  unable to open /etc/s6/sv/lvmetad-log/conf:  No such 
>> file or directory
> 
> Which get printed infinitely...
> 
> Only work around that issue was to boot the system from USB key, chroot 
> to its local SSD, and revert lvm2-s6 back to 20201130-1.  I don't know 
> if another work around was just to `touch /etc/s6/sv/lvmetad-log/conf`, 
> but I can't tell.  Besides reverting back, for now I also included:
> 
>> % 'grep' IgnorePkg /etc/pacman.conf # Pacman won't upgrade packages 
>> listed in IgnorePkg and members of IgnoreGroup
>> IgnorePkg   = lvm2-s6
> 
> Thanks !
> 
> 


More information about the artix-general mailing list